Bug 160278 - gnome-pilot crashes during a sync
gnome-pilot crashes during a sync
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-13 22:50 EDT by Trevor Curtis
Modified: 2007-11-30 17:11 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:55:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Curtis 2005-06-13 22:50:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Whilst proceeding through the gnome-pilot wizard during an initial setup, the wizard requests the sync button on the cradle be pressed. When pressed, gnome-pilot crashes.



Version-Release number of selected component (if applicable):
gnome-pilot-2.0.13-2

How reproducible:
Always

Steps to Reproduce:
1. Start the gnome-pilot wizard (Desktop->Preferences->More Preferences->Palm OS Devices
2. Proceed through the wizard until prompted to initiate a sync
3. Press the sync button on the Palm-Pilot's cradle or on the Palm-Pilot itself.
  

Actual Results:  I got a dialog box indicating that gnome-pilot crashed.

Expected Results:  I expected the sync'ing process to be properly performed.

Additional info:
Comment 1 Mark Adams 2005-06-15 02:16:14 EDT
I also see this with a Tungsten T3 on FC4 x86-64. This worked fine on FC3. I
suspect this is the same bug as the following one in the Gnome bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=274032
Comment 2 Maxwell Bottiger 2005-06-15 08:47:46 EDT
I had this problem too, under the FC4 test releases.  I turned in my bug reports
to gnome.org though.  Eventually I solved the crash issue by creating the file:
/etc/udev/rules.d/10-visor.rules.

File contents (should be all on one line):

BUS="usb", SYSFS{product}="Palm Tungsten T / Zire 71",
KERNEL="ttyUSB[13579]",NAME="%k", SYMLINK="pilot", GROUP="users"

The reason gpilotd was crashing for me was because /dev/ttyUSB* was being
created with default permissons of 660 and belonging to user root and group
root.  I added this rule to make the node be created beloning to root but the
the 'user' group rather than the 'root' group.  Since I and all my users are
part of the group users the problem went away.
Comment 3 Trevor Curtis 2005-06-15 09:21:55 EDT
I tried what Maxwell Bottiger (comment 2) suggested, and unfortunately I am
still experiencing the problem.
Comment 4 Jesse Keating 2005-06-21 14:16:40 EDT
I attempted the above fix as well. Even though the /dev/ttyUSB* devices would be
created under my user's ownership and permissions were 666 gpilotd still
crashes.  This is on a Palm Zire 21 connected via USB to a G3 ibook running
Fedora Core 4 with kernel rev kernel-2.6.11-1.1369_FC4 and gnome-pilot-2.0.13-2
Comment 5 Spencer McGuire 2005-06-26 21:31:35 EDT
this is happening to me also, i am using a treo 600. i can get pilot-xfer to
work though, and the error message is "gpilotd has quit unexpectadly"
Comment 6 Mark Adams 2005-06-27 08:29:53 EDT
Follow-up: I've done some debugging and have put together a set of patches to
get syncing working again on Fedora Core 4. See
http://bugzilla.gnome.org/show_bug.cgi?id=274032 for further details.

Somebody at RedHat will need to put together updates for pilot-link,
gnome-pilot, evolution and evolution-data-server as described in that bug as a
quick fix.

In the meantime, I'll work on getting those patches accepted upstream where
appropriate, but that'll be a longer-term thing depending on their release
schedules.
Comment 7 Nigel Metheringham 2005-06-28 04:23:17 EDT
There appears to be a another issue impacting palm syncing that can prevent even
pilot-link (pilot-xfer) working.  This looks as though it is down to the extreme
delay in the kernel/hotplug/udev section so that by the time the /dev/ttyUSB*
devices are available the palm device has got bored and stopped sending its
initiation strings.

See bug#161058
Comment 8 Mark Adams 2005-06-28 08:41:40 EDT
Yes, I noticed that udev seems to be rather lethargic. However, I didn't run
into your problem where it was causing a problem for syncing beyond the
gnome-pilot crash, and I felt that getting a working knowledge of four new
packages on the weekend was enough, so I didn't dig into it any further. :P

BTW David, I'm happy to test new packages once they're put together. I have both
x86 and x86-64 installs of FC4 here (I needed the x86 one so I could run gpilotd
and friends under valgrind).
Comment 9 Peter McCrackan 2005-06-28 20:36:14 EDT
Just thought I would add that the same is happening to me, using a Sony Clie,
sync worked very well with FC 3, (once I got the hang of the new udev thingys)
now I am using FC 4, all updates downloaded and installed with yumex as of
Tuesday 28th June.
Would be just great if this can be fixed.
Thanks.
Comment 10 Peter McCrackan 2005-06-30 23:25:46 EDT
Hi, I have just donwloaded and installed this
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/4/i386//gnome-pilot-devel-2.0.13-5.fc4.i386.rpm

Now my Clie will talk to gpilot withour crashing, however I only have two
conduits, backup and file. Reading the info with the download I was under the
impression that it should find the conduits, or did I misunderstnd?
Anyway, nice to see you working on this, I do hope my feedback is of some use to
you.
My system is Fc 4, fully updated with yumex as of July 1st.
Cheers.
Comment 11 Matt Ford 2005-07-01 04:29:00 EDT
Pilot-link as distributed in FC4 seems to work fine when used natively and with
Jpilot.  It's gpilotd that's causing me problems.  Looks like Mark Adams has
pretty much solved the problems (see earlier comments)

I think there is a lot bugzilla duplication over this issue....
Comment 12 Matt Ford 2005-07-06 08:54:13 EDT
I have down loaded from testing the latest evolution and pilot-link and gpilot
rpms.  I can now detect my Tungsten E's username correctly and use the
backup-condiut successfully.

I'm afraid all other condiuts fail.  Simply left hanging.  Not sure if latest
patches have made it into these rpms.
Comment 13 Trevor Curtis 2005-07-06 12:30:07 EDT
Unlike Matt Ford (comment #11), jpilot has also never worked for me. This
includes using the recent updates for both pilot-link and jpilot.

Also, I should point out that I am using an USB connection between my
workstation and my palm pilot.
Comment 14 Mark Adams 2005-07-28 11:17:34 EDT
*ping* David, any news on getting an update out? I've now had several
confirmations that the packages I put together and made available at
http://bugzilla.gnome.org/show_bug.cgi?id=274032 work for people.
Comment 15 Trevor Curtis 2005-08-19 06:42:16 EDT
Has there been any progress on this issue?
Comment 16 Trevor Curtis 2005-09-20 22:14:28 EDT
I have installed the rpms given in 
http://bugzilla.gnome.org/show_bug.cgi?id=274032

They have fixed my problem, and my palm pilot works like a charm with
gnome-pilot/evolution. Will there be any Fedora updates to fix this problem
universally for Fedora Core 4 users?
Comment 17 Harald Krake 2005-09-29 08:08:35 EDT
After hours of struggle getting FC4/gnome/evolution to 
sync my treo600 I finally found a workaround:
- install gnome-pilot-2.0.13-5.fc4.i386.rpm from fedora testing
- "pause daemon" in gpilot-applet
- press the hot-sync button and wait until ttyUSB1 shows up in /dev
  (or count to 10 ;-))
- "restart" gpilot-applet (not "continue"!)
- and voila: it syncs! :-)
Gpilot complains about unknown conduits, but obviously you 
can safely ignore that.
Comment 18 Matthew Barnes 2006-12-18 10:12:16 EST
Does this bug still exist in Fedora Core 6 using gnome-pilot-2.0.15?
Comment 19 Matěj Cepl 2007-08-31 11:22:07 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 20 Matthew Barnes 2007-10-02 12:55:34 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.